### Hierarchy

- InterceptorCortege

## Index

### Constructors

- constructor

### Properties

- data
- headers
- method
- path

### Methods

- isTransaction

## Constructors

### constructor

- new InterceptorCortege(path: string, method: HttpMethod, headers: Map<string, string>, data?: any): InterceptorCortege

- - Defined in repository/source/http/InterceptorCortege.ts:8

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### headers: Map<string, string>

  - ##### Optional data: any

  #### Returns InterceptorCortege

## Properties

### Optional data

data: any

- Defined in repository/source/http/InterceptorCortege.ts:8

### headers

headers: Map<string, string>

- Defined in repository/source/http/InterceptorCortege.ts:7

### method

method: HttpMethod

- Defined in repository/source/http/InterceptorCortege.ts:6

### path

path: string

- Defined in repository/source/http/InterceptorCortege.ts:5

## Methods

### isTransaction

- isTransaction(): boolean

- - Defined in repository/source/http/InterceptorCortege.ts:17

  #### Returns boolean

Generated using TypeDoc